﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using StructureMap.Configuration.DSL;
using StructureMap;
using Press.MVC.Data.DataAccess.SqlServer;
using StructureMap.Attributes;

namespace Press.MVC.Data {
    
    public class DBServiceRegistry : Registry 
    {
        protected override void configure() {

            ForRequestedType<LinqBlogDataContext>()
                .TheDefaultIs(() => new LinqBlogDataContext())
                .CacheBy(InstanceScope.Hybrid);

        }
    }
}
