﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Press.MVC.Data
{
    public interface IBlogRepository
    {
        IQueryable<Blog> GetBlogs();
        void SaveBlog(Blog b);
        
        IQueryable<Post> GetPosts();
        IQueryable<PostComment> GetPostComments();
        IQueryable<PostCategory> GetPostCategories();
        void SavePost(Post post);
        void DeletePost(int postid);

        void SavePostCategory(PostCategory pc);
       // void DeletePostCategory(int postCategoryId);
        void SavePostComment(PostComment pc);
    }
}


