﻿using System;
using Press.MVC.Data;

namespace Press.MVC.Services
{
    public interface IBlogService
    {
        System.Collections.Generic.IList<Press.MVC.Data.Blog> GetBlogs();
        Press.MVC.Data.Blog GetBlog(int blogId);
        Press.MVC.Data.Blog GetBlog(string shortName);
        bool SaveBlog(Blog blog);


        Press.MVC.Data.Post GetPost(int postId);        
        System.Collections.Generic.IList<Press.MVC.Data.PostCategory> GetPostCategories(int blogId);

        void SavePost(Post post);
        void DeletePost(int postId);

        Press.MVC.Data.PostCategory GetPostCategory(int postCategoryId);

        void SavePostCategory(PostCategory pc);
      
        void SavePostComment(PostComment pc);
      
    }
}
