﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" AutoEventWireup="true" CodeBehind="Register.aspx.cs" Inherits="Press.MVC.Web.Views.User.Register" %>
<asp:Content ID="Content2" ContentPlaceHolderID="head" runat="server">
	<%= Html.Validation().ValidatorRegistrationScripts() %>
</asp:Content>

<asp:Content ID="Content1" ContentPlaceHolderID="MainContentPlaceHolder" runat="server">
<div class="contentTextDisplay">


 <%=Notify.Error(ViewData.Model.RegistrationMessage) %>
 
 <% using (Html.Form("User", "Create", FormMethod.Post, Html.Validation().FormValidation("required"))) { %> 
  
  <table>
        <tr>
            <td>Blog (Shortname) Domain:</td>
            <td><%=Html.TextBox("ShortName")%>  <%= Html.Validation().RequiredValidator("shortnameVal", "ShortName", "You must supply a Short Name for the Blog.", "required")%>
            <%=Notify.Error(ViewData.Model.BlogAlreadyExistsMessage) %>
        </td>
        </tr>
        <tr>
            <td>Blog Title</td>
            <td><%=Html.TextBox("Title", ViewData.Model.Blog.Name)%> <%= Html.Validation().RequiredValidator("titleVal", "Title", "You must supply a Title for the Blog.", "required")%></td>
        </tr>
        <tr>
            <td>Login</td>
            <td><%=Html.TextBox("Login", ViewData.Model.User.UserName)%> <%= Html.Validation().RequiredValidator("loginVal", "Login", "You must supply a username for your Account.", "required")%></td>
        </tr>
         <tr>
            <td>Email</td>
            <td><%=Html.TextBox("Email", ViewData.Model.User.Email)%> <%= Html.Validation().RequiredValidator("emailVal", "Email", "You must supply a valid email account.", "required")%></td>
        </tr>
        <tr>
            <td>Password</td>
            <td><%=Html.Password("Password")%> <%= Html.Validation().RequiredValidator("passVal", "Password", "You must supply a Password for your Account.", "required")%></td>
        </tr>           
        <tr>
            <td>Confirm</td>
            <td><%=Html.Password("Confirm")%> <%= Html.Validation().RequiredValidator("confirmVal", "Confirm", "You must confirm your Password.", "required")%></td>
        </tr>              
        <tr>
            <td>Reminder Question</td>
            <td><%=Html.TextBox("Question")%> <%= Html.Validation().RequiredValidator("QuestionVal", "Question", "You must supply a Question for your Account.", "required")%></td>
        </tr>
          <tr>
            <td>Reminder Answer</td>
            <td><%=Html.TextBox("Answer")%> <%= Html.Validation().RequiredValidator("answerVal", "Answer", "You must supply a Question Answer for your Account.", "required")%></td>
        </tr>
           <tr><td colspan="2">
           <%= Html.Validation().ValidatorInitializationScripts() %>
    <%= Html.SubmitButton("register","Register")%>
           </td></tr>     
    
    </table>
   
    
<%}%>
</div>
   
</asp:Content>
