﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Press.MVC.Data
{
    public class PostCategory
    {
        public int ID { get; set; }
        public string Name { get; set; }
        public int BlogId { get; set; }

        public IList<Post> Posts { get; set; } 

        #region object overrides
        public override bool Equals(object obj)
        {
            if (obj is PostCategory)
            {
                PostCategory compareTo = (PostCategory)obj;
                return compareTo.ID == this.ID;
            }
            else
            {
                return base.Equals(obj);
            }
        }

        public override string ToString()
        {
            return this.Name;
        }
        public override int GetHashCode()
        {
            return this.ID.GetHashCode();
        }
        #endregion
    }
}
