﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Press.MVC.Data
{
    public class PostComment
    {
        public int ID { get; set; }
        public string Author { get; set; }
        public string Email { get; set; }
        public DateTime CreatedOn { get; set; }
        public int PostID { get; set; }
        public string Body { get; set; }
        public string Title { get; set; }

        public PostComment() { }
        
        public PostComment(string author, string email, int postID, string body, string title)
        {
            this.Author = author;
            this.Email = email;
            this.PostID = postID;
            this.Body = body;
            this.CreatedOn = DateTime.Now;
            this.Title = title;
        }
    }
}
