﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Press.MVC.Data
{
    public class User 
    {

        public string UserName { get; set; }
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public string Email { get; set; }       

        public string FullName {
            get {
                return this.FirstName + " " + this.LastName;
            }
        }
        public User() { }
        public User(string first, string last, string userName, string email) {
            this.FirstName = first;
            this.LastName = last;
            this.Email = email;
            this.UserName = userName;
        }
    }
}
