﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Mta.Master" AutoEventWireup="true" CodeBehind="BlogNew.aspx.cs" Inherits="Press.MVC.Web.Views.Mta.BlogNew" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
	
	<%= Html.Validation().ValidatorRegistrationScripts() %>
</asp:Content>

<asp:Content ID="indexContent" ContentPlaceHolderID="MainContentPlaceHolder" runat="server">
    <% using (Html.Form("Mta", "BlogSave", FormMethod.Post, Html.Validation().FormValidation("required"))) { %> 
   
    
     <table>
     <tr>
        <td>Short Name:</td>
        <td><input id="ShortName" type="text" name="ShortName" maxlength="32" /><br />
        (yourdomain.tld/ShortName)
        <%= Html.Validation().RequiredValidator("shortNameVal", "ShortName", "You must supply a 'Blog' Short name.", "required")%>
        </td>
    </tr>
    <tr>
        <td>Title:</td>
        <td><input id="Title" type="text" name="Title" maxlength="250" />
        <%= Html.Validation().RequiredValidator("titleVal", "Title", "You must supply a 'Blog' Title.", "required")%>
        </td>
    </tr>

    <tr>
        <td>Sub Title:</td>
        <td><input id="SubTitle" type="text" name="SubTitle" maxlength="250" />                
        <%= Html.Validation().RequiredValidator("subtitleVal", "Summary", "You must supply a 'Blog' Sub Title.", "required")%>
        </td>
    </tr>         
    
    <tr>
        <td>Active Blog:</td>
        <td><%=Html.RadioButton("active", "Yes","True",true) %> <%=Html.RadioButton("active", "No", "False", false)%></td>
    </tr>
    
</table>

        <p></p>
    
    <%= Html.Validation().ValidatorInitializationScripts() %>
    <%= Html.SubmitButton("saveblog","Save")%>
    
<%}%>
</asp:Content>

