﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Views/Shared/Install.Master" CodeBehind="Step1.aspx.cs" Inherits="Press.MVC.Web.Views.WebInstall.Step1" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">

</asp:Content>

<asp:Content ID="indexContent" ContentPlaceHolderID="MainContentPlaceHolder" runat="server">
 
<br /> 
MVC Press Installation Wizard<br />
<br /><br />

<br />
 
 <% if (Convert.ToBoolean(ViewData["IsInstalled"]))
    { %>
    
    MVC Press is already installed. 
    
 <% }
    else
    { %>
   
Steps:<br /> 
   <strong>1. Confirm Installation Information<br /></strong>
   2. Install the database & Sample Data<br />
   3. Create a Global Host Administrator   <br />
<br /><br />
<strong>Confirm Installation Information</strong>
<br /><br />
- You must verify the following installation information before you continue: <br />
1) MVC Press has a connection string named "Press.MVC.Data.Properties.Settings.blog_mvcConnectionString" that is specified in web.config<br />
2) Verify that the database you specified in web.config *does not exist* where the Installer will create the database for you and all associated schema including: <br />
- MVC Press Linq entities<br />
- Asp.NET Membership Tables, Views and Stored Procedures.<br />

<p></p>
Make sure that the database user specified by the connection string in web.config has db owner rights to the database. After the installation process, you can remove the db owner rights.
<p></p>
Currently your connection string in app.config contains the following value:
<strong><%= ViewData["appconfigConnectionString"]%></strong>
<p></p><p></p>
If this is not correct, please update web.config and then refresh this page.
<p></p>
On the next step you will install the Database
<p></p>
 <% using (Html.Form("WebInstall", "Step2", FormMethod.Post))
    { %> 
 
 
 

        <p></p>
    
    
    
    <%= Html.SubmitButton("step2","Next - Step 2")%>
    
<%}%>
<% } %>
 
</asp:Content>
