﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Views/Shared/Install.Master" CodeBehind="Step3.aspx.cs" Inherits="Press.MVC.Web.Views.WebInstall.Step3" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
<%= Html.Validation().ValidatorRegistrationScripts() %>
</asp:Content>

<asp:Content ID="indexContent" ContentPlaceHolderID="MainContentPlaceHolder" runat="server">
<br /> 
MVC Press Installation Wizard<br />
<br /><br />
Steps:<br />
<br />
   1. Confirm Installation Information<br />
   2. Install the database & Sample Data<br />
   <strong>3. Create a Global Host Administrator   <br /></strong>
 
 
 <% using (Html.Form("WebInstall", "CreateGlobalAdmin", FormMethod.Post, Html.Validation().FormValidation("required")))
    { %> 
 
   
     <table>
            
            
            
               <tr>
                <td>Global Host Administrator Account:</td>
                <td> 
                
                </td>
            </tr>
            
            <tr>
                <td>Username:</td>
                <td> 
                <%= Html.TextBox("username","admin") %>
                <%= Html.Validation().RequiredValidator("usernameVal", "username", "You must supply a username.", "required")%>
                </td>
            </tr>
                
            <tr>
                <td>Password:</td>
                <td><%= Html.Password("password","") %>
                <%= Html.Validation().RequiredValidator("passwordVal", "password", "You must supply a Password.", "required")%>
                </td>
            </tr>
            
            <tr>
                <td>Confirm Password:</td>
                <td><%= Html.Password("passwordagain","") %>
                <%= Html.Validation().RequiredValidator("passwordagainVal", "passwordagain", "Confirm Password.", "required")%>
                </td>
            </tr>
            
            <tr>
                <td>Email:</td>
                <td> 
                <%= Html.TextBox("email") %>
                <%= Html.Validation().RequiredValidator("emailVal", "email", "You must supply an email address.", "required")%>
                </td>
            </tr>
            
           
            
        </table>

        <p></p>
    
    <%= Html.Validation().ValidatorInitializationScripts() %>
    
    <%= Html.SubmitButton("savepost","Save")%>
    
<%}%>
 
 
</asp:Content>
